#!/bin/sh
maxbytesize=5000000
minfps=5
maxfps=30
echo "What is the name of the file you want to convert?"
read input

echo "What do you want your framerate to be, any number between $minfps and $maxfps?"
read fps
	if [ $fps -lt $minfps ]; then
		echo "Please pick a number greater than 5"
		read -p "Press enter to continue"
		sh remade.sh
	elif [ $fps -gt $maxfps ]; then
		echo "Please pick a number less than 30"
		read -p "Press enter to continue"
		exit
	else
clear
fi
echo "0 for top screen and 1 for bottom screen"
read number
	if [ $number = 0 ]; then
		size="400x240"
		output1="inputresized.gif"
		output2="output.rgb"
		rename="anim"
		rm "anim"
	else
		size="320x240"
		output1="bot_inputresized.gif"
		output2="bot_output.rgb"
		rename="bottom_anim"
		rm "bottom_anim"
fi
ffmpeg -i $input -s $size $output1
ffmpeg -i $output1 -r $fps -pix_fmt bgr24 -vf "transpose=1" $output2
mv $output2 $rename
rm $output1
filesize=`du -k "$rename" | cut -f1`
	if [ $filesize -gt $maxbytesize ]; then
		clear
		echo "Your file exceeds the 50mb limit, try with a different file(preferably shorter)."
		rm $rename
		read -p "Press enter to exit"
	else
		clear
		echo "File generated!"
		exit
		
fi
exit
