@ECHO OFF
set maxbytesize=52428800
set minfps=5
set maxfps=30

cls
set /p fps="What do you want your framerate to be, any number between %minfps% and %maxfps%: "
	if /I %fps% LSS %minfps% (
		echo "Please pick a number greater than 5"
		Pause >nul
		GOTO top  )
	if /I %fps% GTR %maxfps%	(
			echo "Please pick a number lower than 30"
			Pause >nul
			GOTO top )

CHOICE /M "Press A for top screen or B for bottom screen" /C:ab
	IF ERRORLEVEL 2 GOTO bot
	IF ERRORLEVEL 1 GOTO top

:top
	set res=400x240
	set output1=scaled_input.gif
	set output2=output.rgb
	set name=anim
	del anim
	GOTO ff
:bot
	set res=320x240
	set output1=botscaled_input.gif
	set output2=botoutput.rgb
	set name=bottom_anim
	del bottom_anim
	GOTO ff

:ff
cls
ffmpeg -i %1 -s %res% %output1%
ffmpeg -i %output1% -r %fps% -pix_fmt bgr24 -vf "transpose=1" %output2%
rename %output2% %name%
del %output1%
for %%A in (%name%) do (
    echo Size of "%%A" is %%~zA bytes 
    if %%~zA GTR %maxbytesize% (
        cls
	echo "Your file exceeds the 50mb size limit, try a different gif(Preferably shorter)."
	del %name%
	pause >nul
	exit
    ) else (
	exit
    )
)
